Subject: Re: [sipcore] rfc4244bis: what is an AoR?

From: Hadriel Kaplan <[email-masked]>
Date: Thu, 16 Jul 2009 11:54:26 -0400

> -----Original Message-----
> From: Hans Erik van Elburg [mailto:[email-masked]]
> Sent: Thursday, July 16, 2009 3:02 AM
> 
> inline...
> /Hans Erik van Elburg
> 
> In IMS this would be completely clear to me as not being one qualifying
> for an aor tag, as it is proxy that acts on behalf of the originating user
> that would perform the ENUM dip to be able to know where to route the
> request. First when it enters the proxy(-instance) that acts on behalf of
> a terminating user the aor tagging would start.

I'm not sure this is possible in IMS (I'm not one of the folks that follow 3GPP in my company), but assume a SIP request came into an I-BCF from an Enterprise IP-PBX.  The I-BCF does an ENUM dip for the target "sip:[email-masked];user=phone", and the result makes it either (1) route it to another I-BCF and another Enterprise behind that, vs. (2) in another case it makes it route it to a PSTN-GW, vs. (3) route it to an S-CSCF and ultimate P-CSCF/UE beyond that.  Was the number it did the ENUM query with an AoR in all these cases?  Should it be tagged with "aor" in all 3 cases?

> You would not perform an ENUM dip for a SIP URI destined for your domain,
> would you?

Yup, I sure would.  In fact it happens all the time.

-hadriel